# Docker startup helper scripts 

`startup.sh` runs `docker compose` for a list of services to bring containers up/down or to pull images. The services must be defined as absolute paths to `docker-compose.yml` files in `/opt/docker/startup/services.conf`.

`container-startup.service` is a one-shot systemd service which runs `startup.sh up` after boot as soon as the docker service is ready. Stop and restart are explicitly not part of the service, as those actions are
[handled by the docker daemon](https://docs.docker.com/config/containers/start-containers-automatically/).

To install the service run:
```
cp services.conf.template services.conf
# add absolute paths to your docker-compose.yml files
cp container-startup.service /etc/systemd/system/
systemctl enable container-startup.service
systemctl start  container-startup.service
systemctl status container-startup.service
```
